<div class="container">
  <form [formGroup]="adminModifierForm" (ngSubmit)="onSubmit()">
    <!--COUNTRY FIELD -->
    <fieldset class="mb-3 form-group">
      <label class="form-label" for="country">Country: </label>
      <select
        (change)="adjustFormValues()"
        formControlName="country"
        class="form-control"
      >
        <option *ngFor="let item of countriesSorted" [ngValue]="item">
          {{ item.country_name }}
        </option>
      </select>

      <!--structural directive *ngIf allows us to check for validations-->
      <ul *ngIf="country!.invalid && (country!.dirty || country!.touched)">
        <li *ngIf="country!.errors?.required" class="text-danger small">
          Country is required
        </li>
      </ul>
    </fieldset>

    <!--COST MODIFIER FIELD -->
    <fieldset class="mb-3 form-group">
      <label class="form-label" for="modifier">Cost Modifier: </label>
      <input
        id="modifier"
        formControlName="modifier"
        type="text"
        class="form-control"
      />

      <!--structural directive *ngIf allows us to check for validations-->
      <ul *ngIf="modifier!.invalid && (modifier!.dirty || modifier!.touched)">
        <li *ngIf="modifier!.errors?.required" class="text-danger small">
          Modifier is required
        </li>
        <li *ngIf="modifier!.errors?.maxlength" class="text-danger small">
          Modifier exceeds maximum allowed length
        </li>
        <li *ngIf="modifier!.errors?.pattern" class="text-danger small">
          Modifier is either an integer or float
        </li>
      </ul>
    </fieldset>

    <!-- CANCEL BUTTON -->
    <button (click)="resetForm()" type="button" mat-raised-button color="basic">
      Cancel
    </button>

    <!-- small space -->
    &nbsp;

    <!-- SUBMIT BUTTON -->
    <button
      mat-raised-button
      color="primary"
      type="submit"
      [disabled]="!adminModifierForm.valid"
    >
      Submit
    </button>
  </form>

  <p @fade *ngIf="recentChange" class="text-success small">
    {{ recentChange }}
  </p>
</div>
